ch.qos.logback.core.util

## Class PropertySetterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - ch.qos.logback.core.util.PropertySetterException

All Implemented Interfaces:
  Serializable

    public class PropertySetterException
    extends Exception

Thrown when an error is encountered whilst attempting to set a property using the `PropertySetter` utility class.

Author:
  Anders Kristensen
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PropertySetterException(String msg)`
`PropertySetterException(String message, Throwable cause)`
`PropertySetterException(Throwable rootCause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertySetterException

    public PropertySetterException(String msg)

#### PropertySetterException

    public PropertySetterException(Throwable rootCause)

#### PropertySetterException

    public PropertySetterException(String message,
                                   Throwable cause)